commit:     70d3c5c7a005416067183b723d728fdadda7e742
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 29 10:18:21 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Oct 29 10:43:59 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70d3c5c7

dev-python/cryptography: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/cryptography/Manifest                |  1 +
 dev-python/cryptography/cryptography-1.1.ebuild | 47 +++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index bf00855..17aebd2 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -10,3 +10,4 @@ DIST cryptography-0.9.3.tar.gz 303075 SHA256 
aed022f738dd9adb840d92960b0464ea1fb
 DIST cryptography-1.0.1.tar.gz 332242 SHA256 
cfe3092a6a929bc3a97c3b752044b79d09c9b210860c7b4eb5061aea29dcbfd3 SHA512 
a813084f09113baf17ea344dc2bc71fc09a164908661e8a469997c5212a30c09f65b87f84df0f2c70a38b3529faeb78e08430054d065bd46fc625a1bd62d1ddb
 WHIRLPOOL 
f7039799f11da6f95826936e5279d8e9be8971af33601058a910a34d62e1f53879ce93fb69dbd3909d3a2890680c1dabc3a5ce812b34c6882764aafd9ab0ce94
 DIST cryptography-1.0.2.tar.gz 332870 SHA256 
d64cd491e91ddf642c643bea16532c2a2da2da054cca6df756edadd55a8bacca SHA512 
f266fbee6ab06ed6a552599dffe6d3e959dd858e6be7b81c0d4489c384fbb2b5de5ecf4f1e43e1dacbaa6ddefd1562f10961caec73cb3ed256faa03a5d4eff85
 WHIRLPOOL 
ba8c13df5c58ab551f43ddf51cde8e85835a06eda83e5a5039e32308431b6f365692b01ea343adba6fcafe80d045a04b8ef37324e5bf1ada0adef10752f1e321
 DIST cryptography-1.0.tar.gz 331438 SHA256 
211c02fe77d791d7fc437227ba1c046268d5da665e05d8a53fc19f4f74c21001 SHA512 
a4e4f8b054a357e0856a67b246ba770f38222f45f0d8c3185bdfe20593f4d5a20d2082a0c7b9986d5b557dc2b43a0903bcb37eba10e4ca1d83f903fea6c39753
 WHIRLPOOL 
c36bead358e8d30785f3d565366a0a8ec7b356cd31274aac7d0fe0286d36af52916fb3840000d22c53e487d26adb6d42b6dd69d1d7d5aed2fe20dc8cbef86e77
+DIST cryptography-1.1.tar.gz 348676 SHA256 
059bc6428b1d0e2317f505698602642f1d8dda5b120ec573a59a430d8cb7a32d SHA512 
8d5b5ac7cc2dcf7271dcd85c65c42cd815b95ec8502864da1b7c32c4a5905ecc6ae45f54d11e7b539d9ddf10d8bd3de9f40233c0b3cbdd1132b2ffbd4ebb318f
 WHIRLPOOL 
0f154e624a51ebbc342ea082fc00a66b21024c81f3265e7d0e22e089afc5e83dcfe2857113d911db3a8e253d6fe93413ff94b91a83e97fd9405c3f08becc8a03

diff --git a/dev-python/cryptography/cryptography-1.1.ebuild 
b/dev-python/cryptography/cryptography-1.1.ebuild
new file mode 100644
index 0000000..805a5ab
--- /dev/null
+++ b/dev-python/cryptography/cryptography-1.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="https://github.com/pyca/cryptography/ 
https://pypi.python.org/pypi/cryptography/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="libressl test"
+
+RDEPEND="
+       !libressl? ( dev-libs/openssl:0 )
+       libressl? ( dev-libs/libressl )
+       $(python_gen_cond_dep '>=dev-python/cffi-1.1.0:=[${PYTHON_USEDEP}]' 
'python*')
+       $(python_gen_cond_dep 'dev-python/enum34[${PYTHON_USEDEP}]' python2_7 
python3_3 pypy)
+       >=dev-python/idna-2.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/ipaddress[${PYTHON_USEDEP}]' 
python2_7 pypy)
+       >=dev-python/pyasn1-0.1.8[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '>=virtual/pypy-2.6.0' pypy )
+       "
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ~dev-python/cryptography-vectors-${PV}[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/iso8601[${PYTHON_USEDEP}]
+               dev-python/pretend[${PYTHON_USEDEP}]
+               dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+DOCS=( AUTHORS.rst CONTRIBUTING.rst README.rst )
+
+python_test() {
+       py.test -v -v -x || die "Tests fail with ${EPYTHON}"
+}

Reply via email to